--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: class_names
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: true and false have the obvious meaning. nil means we don't care
  name: is_class_method
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: method_name
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Alternative NameDescriptor implementation which doesn't require class/module names to be properly capitalized.
- !ruby/struct:SM::Flow::P 
  body: "Rules:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>#foo</tt>: instance method <tt>foo</tt>"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>.foo</tt>: method <tt>foo</tt> (either singleton or instance)"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>::foo</tt>: singleton method <tt>foo</tt>"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>foo::bar#bar&lt;tt&gt;: instance method bar under &lt;tt&gt;foo::bar</tt>"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>foo::bar.bar&lt;tt&gt;: either singleton or instance method bar under &lt;tt&gt;foo::bar</tt>"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "&lt;tt&gt;foo::bar::Baz&lt;tt&gt;: module/class foo:bar::Baz"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "<tt>foo::bar::baz</tt>: singleton method <tt>baz</tt> from <tt>foo::bar</tt>"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "other: raise RiError"
  type: :BULLET
constants: []

full_name: FastRI::NameDescriptor
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: full_class_name
name: NameDescriptor
superclass: Object
